Subject: inconsistent parsing of the channel sexp's

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 01 Feb 2022 15:41:27 +0100

Thanks for the bug report.

I feel like I’m missing something here.

> this leads to an actual issue that channel dependencies don't match up,
> unless the name is without quotes in the dependencies list
> specification.

I don’t understand what it means for “channel dependencies” to “match
up”.  How is this an issue?

I’ll say that I agree that there’s an apparent inconsistency (as
evidenced also by commit 52e64b21be50e2c5febd7bf1accd88ffdc05a4bb, which
corrected a mistake in the documentation that used an explicit quote), I
just don’t see yet how it leads to a practical problem.

Could you please elaborate?

-- 
Ricardo